---
- name: "Set up a Matrix server"
  hosts: "{{ target if target is defined else 'matrix_servers' }}"
  become: true

  vars_files:
    - roles/matrix-synapse/vars/workers.yml

  roles:
    - server-firewall
    - matrix-awx
    - matrix-base
    - matrix-dynamic-dns
    - matrix-mailer
    - matrix-postgres
    - matrix-redis
    - matrix-corporal
    - matrix-bridge-appservice-discord
    - matrix-bridge-appservice-slack
    - matrix-bridge-appservice-webhooks
    - matrix-bridge-appservice-irc
    - matrix-bridge-beeper-linkedin
    - matrix-bridge-mautrix-facebook
    - matrix-bridge-mautrix-twitter
    - matrix-bridge-mautrix-hangouts
    - matrix-bridge-mautrix-googlechat
    - matrix-bridge-mautrix-instagram
    - matrix-bridge-mautrix-signal
    - matrix-bridge-mautrix-telegram
    - matrix-bridge-mautrix-whatsapp
    - matrix-bridge-mx-puppet-discord
    - matrix-bridge-mx-puppet-groupme
    - matrix-bridge-mx-puppet-steam
    - matrix-bridge-mx-puppet-skype
    - matrix-bridge-mx-puppet-slack
    - matrix-bridge-mx-puppet-twitter
    - matrix-bridge-mx-puppet-instagram
    - matrix-bridge-sms
    - matrix-bridge-heisenbridge
    - matrix-bridge-hookshot
    - matrix-bot-matrix-reminder-bot
    - matrix-bot-honoroit
    - matrix-bot-go-neb
    - matrix-bot-mjolnir
    - matrix-synapse
    - matrix-dendrite
    - matrix-synapse-admin
    - matrix-prometheus-node-exporter
    - matrix-prometheus
    - matrix-grafana
    - matrix-registration
    - matrix-client-element
    - matrix-client-hydrogen
    - matrix-client-cinny
    - matrix-jitsi
    - matrix-ma1sd
    - matrix-dimension
    - matrix-etherpad
    - matrix-email2matrix
    - matrix-sygnal
    - matrix-nginx-proxy
    - matrix-coturn
    - matrix-aux
    - matrix-postgres-backup
    - matrix-prometheus-postgres-exporter
    - matrix-common-after
